## ku-base 1.2-ku26-01a

=== debian/changelog ===
ku-base (1.2-ku26-01a) unstable; urgency=low

   * ku-distroenv
     - add: DISTRIB_KLABS_DISTRO, the distro name of klabs packages repo, defaults to
     	    DISTRIB_CODENAME, but can be tweaked on some os versions (which uses
	    compatible repos)
     - add: DISTRIB_IS_OVM, true if the system is an OpenMediaVault instance;
     	    DISTRIB_FULL_ID is also tweaked, prepending "ovm-" to it


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 23 Jan 2026 14:08:15 +0100

ku-base (1.2-ku25-03a) unstable; urgency=low

   * bin/ku-genpasswd
     - mod: standard settings (len=12, uppercase, special)
     - del: --upper and --special options
     - add: --simple option
     - mod: improved algo, now insert at least one of uppercase and special char if
     	    requested

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 03 Jan 2026 14:33:02 +0100

ku-base (1.2-ku25-02a) unstable; urgency=low

   * bin/ku-distroenv
     - add: pve (proxmox) environment detect, "pve-" string is prependend to
     	    DISTRIB_FULL_ID var; kusa will start a WIP pve support from now

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 02 Feb 2025 09:53:00 +0100

ku-base (1.2-ku25-01a) unstable; urgency=low

   * sbin/ku-netscan
     - add: a fast network scanner, using nmap; slightly less accurate than
     	    ku-netdiscovery, but way more faster

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 04 Jan 2025 09:12:54 +0100

ku-base (1.2-ku24-11a) unstable; urgency=low

   * profile.d/set_ps1.sh
     - upd: now format is: [$PRJNAME] user@host:/truncated_pwd
     - upd: installed in both /etc/profile.d and /etc/profile-post.d
     - fix: the code that updates xterm title is moved from profile.d/set_ps1.sh to
     	    /etc/lib/ku-base/ku_truncate_pwd.sh, that is executed at each prompt

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 23 Nov 2024 16:31:17 +0100

ku-base (1.2-ku24-07b) unstable; urgency=low

  * examples/silent-beep.sh
    - fix: uses "which" instead of checking hardwired path for commands

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 27 Jul 2024 07:41:05 +0200

ku-base (1.2-ku24-07a) unstable; urgency=low

  * lib/ku_truncate_cwd.sh, profile.d/set_ps1.sh
    - upd: cleaner prompt (removed curls, PRJNAME and std PS1 separated by space instead
    	   of ':', which in standard debian PS1 is used to separate id+uname from cwd
    - new: if present, env $KU_TRUNCATE_FREE_CHARS defines the minumum characters that
    	   must be left for typing in the command line, default is 20
    - new: if defined and set "true", env $KU_SET_PS1_SET_TERM_TITLE will updates
    	   terminal title and icon title too, default: true

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 06 Jul 2024 15:28:27 +0200

ku-base (1.2-ku23-08b) unstable; urgency=low

  * debian/compat
    - upd: (devuan daedalus) from 5 to 10

  * sbin/ku-netdiscover-install
    - fix: (devuan daedalus) file /usr/share/arp-scan/mac-address.txt no longer exists,
    	   the script was crashing on it

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 27 Aug 2023 15:07:06 +0200

ku-base (1.2-ku23-08a) unstable; urgency=low

  * sbin/ku-netdiscover
    - add: now, if no hostname is resolved for an ip, and dhcp-lease-list command is
    	   present, try to get dhcp name instead

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 27 Aug 2023 01:52:45 +0200

ku-base (1.2-ku23-07b) unstable; urgency=low

  * bin/ssh-open
    - upd: now uses ed25519 keytype as default
    - mod: option parsing, added -k|--file option to use a keyfile different from
    	   default id_ed25519.pub

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 30 Jul 2023 19:23:34 +0200

ku-base (1.2-ku23-07a) unstable; urgency=low

  * bin/in_chroot
    - upd: complete rewrite, now uses a reliable method to test the chroot jail condition

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 26 Jul 2023 23:27:32 +0200

ku-base (1.2-ku23-04a) unstable; urgency=low

  * bin/kuvirt-vncports
    - add: passing a vmname as parameter will prints vnc connection url for this
     	   machine only (if any)
    - add: now can connect to remote server to retrieve infos

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 03 Apr 2023 16:28:55 +0200

ku-base (1.2-ku23-03c) unstable; urgency=low

  * init.d/ku-rebuild-var-tmpfs
    - fix: /var/tmp not in the rebuild list
    - add: /tmp (even is not under the /var tree)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 20 Mar 2023 11:04:29 +0100

ku-base (1.2-ku23-03b) unstable; urgency=low

  * debian/rules (debian.in/rules)
    - fix: reverted the changes of last release (compatibility issues raised by updating
    	   release files on old systems are solved, see changes to ku-jtools)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 14 Mar 2023 11:51:07 +0100

ku-base (1.2-ku23-03a) unstable; urgency=low

  * debian/rules (debian.in/rules)
    - fix: force backward compatibility gzip format on newer distros (that defaults to xz):
           added -Zgzip to dh_builddeb

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 14 Mar 2023 00:44:22 +0100

ku-base (1.2-ku23-01a) unstable; urgency=low

  * sbin/ku-netdiscover
    - add: --retry option (passed to arp-scan command); changed the default from 5 to 8
    - fix: the header date has the wrong month (damn, forgot that in Perl localtime()
    	   returns month number starting from 0, not 1)
    - fix: added mac-vendors.txt

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 11 Jan 2023 13:25:03 +0100

ku-base (1.2-ku22-03b) unstable; urgency=low

  * lib/ku-base/log.sh
    - mod: checks if $LOGUSER and $LOGGROUP exists before appling; note that in
    	   case of non-existence chown and/or chgrp are silently ingnored


