## ku-base 1.2-ku26-01b

=== debian/changelog ===
ku-base (1.2-ku26-01b) unstable; urgency=low

   * /etc/profile.d/*
     - fix: executed for any shell, raises errors if executed in dash (why uses this
     	    crap, btw?); added proper tests


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 27 Jan 2026 09:43:41 +0100
