## ku-base 1.2-ku26-01c

=== debian/changelog ===
ku-base (1.2-ku26-01c) unstable; urgency=low

   * bin/ku-distroenv
     - add: omv-debian-13 -> excalibur (devuan 6)


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 30 Jan 2026 05:43:43 +0100
