=== debian/control ===
Source: ku-base
Section: klabs
Priority: extra
Maintainer: Lorenzo Canovi <lorenzo@kubiclabs.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Homepage: http://www.kubiclabs.com

Package: ku-base
Architecture: all
Depends: ${misc:Depends}, liboptions-file-perl, arp-scan, libnet-ip-match-regexp-perl, lsb-release, rsync
Replaces: kl-base
Conflicts: kl-base
Description: KUBiC Labs base system utils
 general pourpose scripts and utils for easy living ;)
 - csv2pipe
 - ddtime
 - dug
 - fdupe
 - ftpsync, sync over ftp
 - in_chroot
 - ipgeo, ipgeo-city, ip geo lookup using IPinfoDB database (account needed)
 - ipmatch, see if an ip belongs to a given network list
 - ku-autosync, manage filesystems/partitions sync
 - ku-dusage
 - ku-genpasswd, crypt token with various algos
 - ku-geoip
 - ku-message
 - ku-parts
 - ku-reset-tardate
 - ku-user-gnome-setup
 - ku-wanip
 - ku-wanipx
 - ku-x11-wrapper
 - kubzr-work-update
 - kupurge
 - kusysinfo
 - lprtxt
 - mirror, rsync front end
 - non_blocking_dd
 - older, find older or newer file in a path
 - pingb, ping a range of ip addresses
 - resolvelink
 - show-timedrift
 - ssh-open, add you ssh credential to a remote host authorized_keys
 - telno
 - uidfree, search first avail system uid
 - upwood
 - wiki-fossil-normalize
 .
 see also 'moreutils' package for additional usefull
 system utils
